<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Pengadaan Barang</title>
  <script type="text/javascript" src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<!--  <script type="text/javascript">-->
<!--    $(document).ready(function() {-->
<!--      $("#txt1, #txt2").keyup(function() {-->
<!--        var harga  = $("#txt2").val();-->
<!--        var jumlah = $("#txt1").val();-->

<!--        var total = parseInt(harga) * parseInt(jumlah);-->
<!--        $("#total").val(total);-->
<!--      });-->
<!--    });-->
<!--    $(document).ready(function(){-->

<!--      // Format mata uang.-->
<!--      $( '.uang' ).mask('000.000.000', {reverse: true});-->

<!--    });-->
<!--  </script>-->
</head>
<body>
<div class="main-content" layout:fragment="main">
  <section class="section">
    <div class="section-header">
      <h1>Pengadaan Aset</h1>
    </div>
    <div class="section-body">
      <div class="row">
        <div class="col-md-12 grid-margin stretch-card">
          <div class="card">
            <div class="card-header">
              <h4>Form</h4>
              <div class="card-header-action">
                <a th:href="@{/request/assetProcurement}" class="btn btn-info"><i class="fa fa-arrow-circle-left"></i> Back</a>
              </div>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <form th:action="@{/request/assetProcurement/save}" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                      <label>Nama Barang</label>
                      <input type="text" name="namaAset" required class="form-control">
                    </div>
                    <div class="form-group">
                      <label>Spesifikasi</label>
                      <input type="text" class="form-control" required name="spekAset">
                    </div>
                    <div class="form-group">
                      <label>Vol</label>
                      <input type="number" class="form-control" name="jumlah" required id="txt1">
                    </div>
                    <div class="form-group">
                      <label>Satuan</label>
                      <select name="satuan" class="form-control select2" required>
                        <option value="" selected disabled>-- Pilih Salah Satu --</option>
                        <option value="unit">unit</option>
                        <option value="buah">buah</option>
                        <option value="pasang">pasang</option>
                        <option value="lembar">lembar</option>
                        <option value="keping">keping</option>
                        <option value="batang">batang</option>
                        <option value="bungkus">bungkus</option>
                        <option value="potong">potong</option>
                        <option value="butir">butir</option>
                        <option value="gulung">gulung</option>
                        <option value="ton">ton</option>
                        <option value="kilogram">kilogram</option>
                        <option value="gram">gram</option>
                        <option value="gram">meter</option>
                        <option value="gram">karat</option>
                        <option value="gram">liter</option>
                        <option value="set">set</option>
                        <option value="dus">dus</option>
                        <option value="sak">sak</option>
                        <option value="bal">bal</option>
                      </select>
                    </div>
                    <!--                <div class="form-group">-->
                    <!--                  <label>Harga Pokok</label>-->
                    <!--                  <input type="number" class="form-control" name="hargaAset" id="txt2">-->
                    <!--                </div>-->
                    <!--                <div class="form-group">-->
                    <!--                  <label>Total Harga</label>-->
                    <!--                  <input type="number" readonly class="form-control" id="total" name="totalHarga">-->
                    <!--                </div>-->
                    <div class="form-group">
                      <label>Kegunaan</label>
                      <input type="text" class="form-control" name="kegunaan">
                    </div>
                    <div class="form-group">
                      <label>Lampiran</label>
                      <input type="file" required class="form-control" name="image" onchange="validateSize(this,2)" />
                      <span style="color: red; font-size: 10px;">Ukuran maksimal dokumen : 2 Mb</span>
                      <br>
                      <span style="color: red; font-size: 10px;">Jenis file : pdf, png, jpg, jpeg, docx</span>
                    </div>
                    <div class="form-group">
                      <button class="btn btn-primary">Save</button>
                      <a th:href="@{/masters/room}" class="btn btn-danger">Cancel</a>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

</div>

</body>

</html>

<script>
  function validateSize(input, n) {
    const fileSize = input.files[0].size / 1024; // in KB
    // if (n == 1) {
    //     var form = document.getElementById('form1');
    // } else if (n == 2) {
    //     var form = document.getElementById('form2');
    // } else if (n == 3) {
    //     var form = document.getElementById('form3');
    // }else {
    //     var form = document.getElementById('form4');
    // }
    if (fileSize > 2000) {
      event.target.value = '';
      alert('Ukuran file melebihi 2 Mb');

    } else {
      // input.form.submit();
    }
  }
</script>